Install MariaDB on CentOS Version 6, 7 64/32 Bit

0
411

How to install MariaDB on CentOS 6, 7. So you want to using MariaDB to replace MySQL? Yes this one database server starts to become a prima donna in the stack of web hosting in your own server because of a variety of reasons. How do I install the MariaDB? Easy but can’t directly type yum install requirement, there is mariadb.
installing mariaDB Centos VPSHere I am using Centos 4.0 32-bit, the first thing to do is add the repository MariaDB to your server. Please create a new file in/etc/yum.repos.d/location with the name of MariaDB. repo or given a version such as MariaDB_10_1. repo so easily distinguished. It is up to you. If I were to direct the heck type command:

# nano /etc/yum.repos.d/MariaDB.repo

Later the text editor will open that file and then enter one of the configuration of the corresponding version of MariaDB repo you want:

MariaDB 5.5

[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/5.5/centos6-x86
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

MariaDB 10

[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.0/centos6-x86
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

MariaDB 10.1

[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.1/centos6-x86
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

I recommend you fill in one version in the repository so that it doesn’t confuse you later and install

later. Next just install MariaDB:

# yum install MariaDB-server

The above command will install the latest release of MariaDB version you add repository.

Later more or less will pop up a message and request confirmation as follows:

install mariaDB

At this stage it should have service from MariaDB will run automatically and you will be asked to create a password for the root account:

install mariaDB2

Direct press ENTER twice if you want to keep emptying the word password. Finish the installation process MariaDB 10.1 on CentOS 7, next can be used as normal by typing the command mysql.

Note: If there is already a previous MySQL 5.1 for example would fail to do the automatic upgrade and must be done manually. This will be disclosed in the process of installation.

NO COMMENTS

LEAVE A REPLY